matrix:
  platform:
    - ubuntu2204
    - ubuntu2404
  bazel:
    - 7.x
    - 8.x
    - 9.*
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@apriltag//:apriltag"

bcr_test_module:
  module_path: "."
  matrix:
    platform:
      - ubuntu2204
      - ubuntu2404
    bazel:
      - 7.x
      - 8.x
      - 9.*
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - "//..."
